Skip to main content
GET
/
v1
/
appointment-types
Get Appointment Types
curl --request GET \
  --url https://app.untetherlabs.com/api/v1/appointment-types \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "length": 123,
      "allowedRoles": [
        "<string>"
      ],
      "skillRequirement": {
        "type": "equal",
        "skill": "<string>",
        "value": "<string>"
      }
    }
  ],
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pageSize
number
default:20
Required range: 1 <= x <= 200
cursor
string

Response

items
object[]
required
cursor
string